package cn.wise.sc.acquisition.business.service;

import cn.wise.im.common.http.R;
import cn.wise.sc.acquisition.business.entity.TMaterialOut;
import cn.wise.sc.acquisition.business.model.PageQuery;
import cn.wise.sc.acquisition.business.model.query.TMaterialOutQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author renchao
 * @since 2021-04-27
 */
public interface ITMaterialOutService extends IService<TMaterialOut> {

	R<IPage<TMaterialOut>> getPage(PageQuery pageQuery);

	R delivery(TMaterialOutQuery query);

	R update(TMaterialOutQuery query);

	R getProcessesType();

	R<TMaterialOut> getDetail(String Uid);

	R<IPage<TMaterialOut>> getConsumePage(TMaterialOutQuery tMaterialOutQuery,PageQuery pageQuery);

}
